Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class LocalFileTransferNamesAndCommandsGet

    java.lang.Object
      com.stc.eways.batchext.TransferNamesAndCommandsBase
          com.stc.eways.batchext.LocalFileTransferNamesAndCommandsGet

All Implemented Interfaces:
  TransferNamesAndCommands, java.io.Serializable

    public class LocalFileTransferNamesAndCommandsGet

extends TransferNamesAndCommandsBase

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `LOGGER_NAME`

Fields inherited from class com.stc.eways.batchext.TransferNamesAndCommandsBase
`_Append, _PostDirectoryName, _PostFileName, _PostTransferCommand, _PreDirectoryName, _PreFileName, _PreTransferCommand, _TargetDirectoryName, _TargetFileName`

Constructor Summary
`LocalFileTransferNamesAndCommandsGet(LocalFileETD etd)`

Method Summary
`long` | `getReadPosition()`
`void` | `resolvePostTransfer()` Resolve Post Transfer Names/Command.
`void` | `resolvePreTransfer()` Resolve Pre Transfer Names/Command.
`void` | `resolveTargetLocation()` Resolve Target Location Names.
`void` | `setEtd(LocalFileETD etd)`
`void` | `setReadPosition(long readPosition)`

Methods inherited from class com.stc.eways.batchext.TransferNamesAndCommandsBase
`getAppend, getPostDirectoryName, getPostFileName, getPostTransferCommand, getPreDirectoryName, getPreFileName, getPreTransferCommand, getTargetDirectoryName, getTargetFileName, getTransferDirectoryName, getTransferFileName, resolveNamePattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGGER_NAME

    public static final java.lang.String LOGGER_NAME

See Also:
  Constant Field Values

Constructor Detail

### LocalFileTransferNamesAndCommandsGet

    public LocalFileTransferNamesAndCommandsGet(LocalFileETD etd)

Method Detail

### setEtd

    public void setEtd(LocalFileETD etd)

### resolveTargetLocation

    public void resolveTargetLocation()
                               throws BatchException

  Resolve Target Location Names.

  Throws:
    `BatchException` - If some error occurs.

### resolvePreTransfer

    public void resolvePreTransfer()
                            throws BatchException

  Resolve Pre Transfer Names/Command.

  Throws:
    `BatchException` - If some error occurs.

### resolvePostTransfer

    public void resolvePostTransfer()
                             throws BatchException

  Resolve Post Transfer Names/Command.

  Throws:
    `BatchException` - If some error occurs.

### getReadPosition

    public long getReadPosition()

### setReadPosition

    public void setReadPosition(long readPosition)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD